Report Descriptions and Configuration
Prev | Chapter 12. FTP Reports | Next

## Report Descriptions and Configuration

### Top Remote Host FTP Report

ID: `top-remote-host`

Chart: bars

This report lists the remote hosts with the most requests.

Parameters

`hosts_to_show`

  This parameter controls the number of remote hosts to display in the report.

  Defaults to `10`.

### Bytes by Period FTP Report

ID: `bytes-by-period`

Chart: histogram

This report calculates the sum of all transfers by a user-confirable time period.

Parameters

`period`

  This parameter controls the time period which is use to aggregate the records.

  Defaults to `1d`.

### Bytes by User by Period FTP Report

ID: `bytes-by-user-by-period`

Chart: None

This report shows the bytes transferred by user by period.

Parameters

`period`

  This parameter controls the time period which is used to aggregate the records.

  Defaults to `1d`.

`users_to_show`

  This parameter controls the number of users to display during each users.

  Defaults to `10`.

### Bytes by Period by User FTP Report

ID: `bytes-by-period-by-user`

Chart: None

This report shows for each user, the amount of bytes they transferred by period.

Parameters

`period`

  This parameter controls the time period which is used to aggregate the records for each users.

  Defaults to `1d`.

`users_to_show`

  This parameter controls the number of users to display in the report.

  Defaults to `10`.

### Bytes by Direction by User with count by Period FTP Report

ID: `bytes-by-dir-by-user-by-period`

Chart: None

This report shows the bytes transferred by direction (in or out) by user with the number of transfers by period.

Parameters

`period`

  This parameter controls the time period which is used to aggregate the records.

  Defaults to `1d`.

`users_to_show`

  This parameter controls the number of users to display during each period.

  Defaults to `10`.

### Top Files FTP Report

ID: `top-files`

Chart: bars

This report lists the most requested files.

Parameters

`files_to_show`

  This parameter controls the number of files to display in the report.

  Defaults to `10`.

### Top Uploaded Files FTP Report

ID: `top-files-in`

Chart: bars

This report lists the most uploaded files.

Parameters

`files_to_show`

  This parameter controls the number of files to display in the report.

  Defaults to `10`.

### Top Downloaded Files FTP Report

ID: `top-files-out`

Chart: bars

This report lists the most downloaded files.

Parameters

`files_to_show`

  This parameter controls the number of files to display in the report.

  Defaults to `10`.

### Top Users FTP Report

ID: `top-users`

Chart: bars

This report lists the most active users.

Parameters

`users_to_show`

  This parameter controls the number of users to display in the report.

  Defaults to `10`.

### Top by User (Bytes Transferred) FTP Report

ID: `top-users-bytes`

Chart: bars

This report lists the users with the highest amount of bytes transferred.

Parameters

`users_to_show`

  This parameter controls the number of users to display in the report.

  Defaults to `10`.

### Tracked Users FTP Report

ID: `tracked-users`

Chart: None

This report shows each download for tracked users.

Parameters

`tracked_user_re`

  This parameter controls which user will be included in the report.

  Defaults to `.*`.

### Tracked Files FTP Report

ID: `tracked-files`

Chart: None

This report shows each download of tracked files.

Parameters

`tracked_file_re`

  This parameter controls which files will be included in the report.

  Defaults to `.*`.

### Number of Transfers by Direction FTP Report

ID: `transfers-by-direction`

Chart: pie

This report lists the number of transfers by direction.

This report doesn't have any parameters.

### Number of Transfers by Transfer Type FTP Report

ID: `transfers-by-type`

Chart: pie

This report lists the number of transfers by transfer type.

This report doesn't have any parameters.

Prev | Up | Next
Chapter 12. FTP Reports | Home | Filter Descriptions and Configuration